## captive-1.1.7.tar.gz

=== reactos/ntoskrnl/Makefile ===
# $Id$
#
# ReactOS Operating System
#

#
# Path to the directory containing the root makefile
#
PATH_TO_TOP := ..

#
# Include details of the host OS configuration
#
include $(PATH_TO_TOP)/config

CONFIG :=

ifeq ($(DBG), 1)
CFLAGS_DBG := -g
LINKER_SCRIPT := ntoskrnl.lnk
STRIP_FLAGS := -Wl,-s
else
CFLAGS_DBG :=
LINKER_SCRIPT := ntoskrnl.lnk
STRIP_FLAGS := -Wl,-s
endif

ifeq ($(KDBG), 1)
OBJECTS_KDBG := dbg/kdb.o dbg/kdb_keyboard.o dbg/rdebug.o \
                dbg/i386/kdb_help.o dbg/kdb_stabs.o dbg/profile.o
else
OBJECTS_KDBG :=
endif

ifeq ($(strip $(SDK_PATH_INC)),)
ASFLAGS += -I./include
CFLAGS += -I./include -D__NTOSKRNL__ $(CFLAGS_DBG) -Wall -Werror
else
ASFLAGS += -I./include -I$(SDK_PATH_INC)
CFLAGS += -I./include -I$(SDK_PATH_INC) -D__NTOSKRNL__ $(CFLAGS_DBG) -Wall -Werror
endif

# ASFLAGS += -D__USE_W32API -D_NTOSKRNL_
# CFLAGS += -D__USE_W32API -D_NTOSKRNL_

# require os code to explicitly request A/W version of structs/functions
CFLAGS += -D_DISABLE_TIDENTS

#
# Build configuration
#
include $(PATH_TO_TOP)/rules.mak


TARGETNAME := ntoskrnl

OBJECTS_PATH = objects

all: \
	$(OBJECTS_PATH) \
	bugcodes.rc \
	$(TARGETNAME).nostrip.exe \
	$(TARGETNAME).exe \
	$(TARGETNAME).sym \
	ntoskrnl.map

#
# Architecture specific Makefile
# Defines $(OBJECTS_ARCH)
#
include Makefile.$(ARCH)

# System API (Nt/Zw)
OBJECTS_NT = \
	nt/channel.o \
	nt/evtpair.o \
	nt/mutant.o \
	nt/misc.o \
	nt/nt.o \
	nt/ntevent.o \
	nt/ntsem.o \
	nt/nttimer.o \
	nt/plugplay.o \
	nt/profile.o \
	nt/zw.o \
	nt/vdm.o

# Run-Time Library (Rtl)
OBJECTS_RTL = \
	rtl/atom.o \
	rtl/bitmap.o \
	rtl/compress.o \
	rtl/ctype.o \
	rtl/dos8dot3.o \
	rtl/error.o \
	rtl/handle.o \
	rtl/largeint.o \
	rtl/mem.o \
	rtl/message.o \
	rtl/nls.o \
	rtl/purecall.o \
	rtl/random.o \
	rtl/regio.o \
	rtl/sprintf.o \
	rtl/stdlib.o \
	rtl/string.o \
	rtl/swprintf.o \
	rtl/time.o \
	rtl/timezone.o \
	rtl/unicode.o \
	rtl/wstring.o \
	rtl/capture.o

OBJECTS_RTL := $(filter-out $(RTL_EXCLUDE_FILTER), $(OBJECTS_RTL))


# Kernel (Ke)
OBJECTS_KE = \
	ke/apc.o \
	ke/bug.o \
	ke/catch.o \
	ke/critical.o \
	ke/dpc.o \
	ke/error.o \
	ke/event.o \
	ke/kqueue.o \
	ke/main.o \
	ke/mutex.o \
	ke/process.o \
	ke/sem.o \
	ke/spinlock.o \
	ke/timer.o \
	ke/wait.o \
	ke/kthread.o \
	ke/queue.o

# Memory Manager (Mm)
OBJECTS_MM = \
	mm/aspace.o \
	mm/cont.o \
	mm/drvlck.o \
	mm/freelist.o \
	mm/iospace.o \
	mm/marea.o \
	mm/mdl.o \
	mm/mm.o \
	mm/ncache.o \
	mm/npool.o \
	mm/pagfault.o \
	mm/pagefile.o \
	mm/paging.o \
	mm/pool.o \
	mm/ppool.o \
	mm/section.o \
	mm/virtual.o \
	mm/pager.o \
	mm/wset.o \
	mm/mminit.o \
	mm/kmap.o \
	mm/mpw.o \
	mm/pageop.o \
	mm/balance.o \
	mm/rmap.o \
	mm/slab.o \
	mm/anonmem.o \
	mm/region.o

# I/O Subsystem (Io)
OBJECTS_IO = \
	io/adapter.o \
	io/arcname.o \
	io/buildirp.o \
	io/cancel.o \
	io/cleanup.o \
	io/cntrller.o \
	io/create.o \
	io/device.o \
	io/dir.o \
	io/driver.o \
	io/errlog.o \
	io/error.o \
	io/event.o \
	io/file.o \
	io/flush.o \
	io/fs.o \
	io/iocomp.o \
	io/ioctrl.o \
	io/iomgr.o \
	io/iowork.o \
	io/irp.o \
	io/lock.o \
	io/mailslot.o \
	io/mdl.o \
	io/npipe.o \
	io/page.o \
	io/parttab.o \
	io/pnpmgr.o \
	io/pnproot.o \
	io/process.o \
	io/queue.o \
	io/rawfs.o \
	io/resource.o \
	io/rw.o \
	io/share.o \
	io/shutdown.o \
	io/symlink.o \
	io/timer.o \
	io/vpb.o \
	io/xhaldisp.o \
	io/xhaldrv.o

# Object Manager (Ob)
OBJECTS_OB = \
	ob/dirobj.o \
	ob/handle.o \
	ob/namespc.o \
	ob/ntobj.o \
	ob/object.o \
	ob/security.o \
	ob/symlink.o

# Process Manager (Ps)
OBJECTS_PS = \
	ps/create.o \
	ps/idle.o \
	ps/kill.o \
	ps/locale.o \
	ps/process.o \
	ps/psmgr.o \
	ps/thread.o \
	ps/tinfo.o \
	ps/debug.o \
	ps/suspend.o \
	ps/win32.o \
	ps/w32call.o

# Executive Subsystem (Ex)
OBJECTS_EX = \
  ex/btree.o \
	ex/callback.o \
	ex/fmutex.o \
  ex/hashtab.o \
	ex/init.o \
	ex/interlck.o \
	ex/list.o \
	ex/lookas.o \
	ex/napi.o \
	ex/power.o \
	ex/resource.o \
	ex/time.o \
  ex/stree.o \
	ex/sysinfo.o \
	ex/win32k.o \
	ex/work.o \
	ex/zone.o

# Installable File System Run-Time Library (FsRtl)
OBJECTS_FS = \
	fs/dbcsname.o \
	fs/filelock.o \
	fs/mcb.o \
	fs/mdl.o \
	fs/name.o \
	fs/notify.o \
	fs/oplock.o \
	fs/pool.o \
	fs/tunnel.o \
	fs/unc.o \
	fs/util.o

# Security Subsystem
OBJECTS_SE = \
	se/access.o \
	se/acl.o \
	se/audit.o \
	se/lsa.o \
	se/luid.o \
	se/priv.o \
	se/sd.o \
	se/semgr.o \
	se/sid.o \
	se/token.o

# Configuration Manager (Registry)
OBJECTS_CM = \
	cm/import.o  \
	cm/registry.o  \
	cm/ntfunc.o \
	cm/rtlfunc.o \
	cm/regfile.o \
	cm/regobj.o

# Debugger Support (Dbg)
OBJECTS_DBG = \
	dbg/dbgctrl.o \
	dbg/errinfo.o \
	dbg/print.o \
	dbg/user.o \
	$(OBJECTS_KDBG)

# Loader
OBJECTS_LDR = \
	ldr/init.o \
	ldr/loader.o \
	ldr/resource.o \
	ldr/rtl.o \
	ldr/sysdll.o \
	ldr/userldr.o

# Local Procedure Call (Lpc)
OBJECTS_LPC = \
	lpc/close.o \
	lpc/complete.o \
	lpc/connect.o \
	lpc/create.o \
	lpc/listen.o \
	lpc/port.o \
	lpc/query.o \
	lpc/queue.o \
	lpc/receive.o \
	lpc/reply.o \
	lpc/send.o

# Power Management (Po)
OBJECTS_PO = po/power.o

# Cache Manager (Cc)
OBJECTS_CC = \
	cc/cacheman.o \
	cc/view.o \
	cc/copy.o \
	cc/pin.o \
	cc/misc.o

# Kernel Debugger Support (Kd)
OBJECTS_KD = \
	kd/kdebug.o \
	kd/service.o \
	kd/dlog.o \
    kd/gdbstub.o \
    kd/mda.o

# Boot video (Inbv)
OBJECTS_INBV = \
	inbv/inbv.o

DEP_OBJECTS := $(OBJECTS_NT) $(OBJECTS_MM) $(OBJECTS_ARCH) \
	$(OBJECTS_IO) $(OBJECTS_KE) $(OBJECTS_OB) \
	$(OBJECTS_PS) $(OBJECTS_EX) $(OBJECTS_CC) $(OBJECTS_FS) $(OBJECTS_SE) \
	$(OBJECTS_DBG) $(OBJECTS_CM) $(OBJECTS_LDR) $(OBJECTS_LPC) \
	$(OBJECTS_PO) $(OBJECTS_KD) $(OBJECTS_RTL)

TAG_OBJECTS := $(join $(dir $(DEP_OBJECTS)),$(patsubst %.o, .%.TAG, $(notdir $(DEP_OBJECTS))))

#
# Include automatic dependancy tracking
#
DEP_EXCLUDE_FILTER := ex/napi.% nt/zw.%
include $(PATH_TO_TOP)/tools/depend.mk


# Resources
OBJECTS_RESOURCE = \
	$(TARGETNAME).coff

# IMPORTS/EXPORTS
IE_DATA = \
	$(TARGETNAME).def \
	$(TARGETNAME).edf

$(OBJECTS_PATH):
	mkdir $(OBJECTS_PATH)

$(OBJECTS_RESOURCE): $(TARGETNAME).rc bugcodes.rc $(PATH_TO_TOP)/include/reactos/resource.h

#
# Build subsystem intermediate objects
#
$(OBJECTS_PATH)/arch.o: $(OBJECTS_ARCH)
	$(LD) -r -o $(OBJECTS_PATH)/arch.o $(OBJECTS_ARCH)

$(OBJECTS_PATH)/io.o: $(OBJECTS_IO)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/io.o \
		$(OBJECTS_IO)

$(OBJECTS_PATH)/ke.o: $(OBJECTS_KE)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/ke.o \
		$(OBJECTS_KE)

$(OBJECTS_PATH)/rtl.o: $(OBJECTS_RTL)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/rtl.o \
		$(OBJECTS_RTL)

$(OBJECTS_PATH)/mm.o: $(OBJECTS_MM)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/mm.o \
		$(OBJECTS_MM)

$(OBJECTS_PATH)/ob.o: $(OBJECTS_OB)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/ob.o \
		$(OBJECTS_OB)

$(OBJECTS_PATH)/ps.o: $(OBJECTS_PS)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/ps.o \
		$(OBJECTS_PS)

$(OBJECTS_PATH)/ex.o: $(OBJECTS_EX)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/ex.o \
		$(OBJECTS_EX)

$(OBJECTS_PATH)/fs.o: $(OBJECTS_FS)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/fs.o \
		$(OBJECTS_FS)

$(OBJECTS_PATH)/se.o: $(OBJECTS_SE)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/se.o \
		$(OBJECTS_SE)

$(OBJECTS_PATH)/cm.o: $(OBJECTS_CM)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/cm.o \
		$(OBJECTS_CM)

$(OBJECTS_PATH)/dbg.o: $(OBJECTS_DBG)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/dbg.o \
		$(OBJECTS_DBG)

$(OBJECTS_PATH)/ldr.o: $(OBJECTS_LDR)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/ldr.o \
		$(OBJECTS_LDR)

$(OBJECTS_PATH)/lpc.o: $(OBJECTS_LPC)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/lpc.o \
		$(OBJECTS_LPC)

$(OBJECTS_PATH)/nt.o: $(OBJECTS_NT)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/nt.o \
		$(OBJECTS_NT)

$(OBJECTS_PATH)/po.o: $(OBJECTS_PO)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/po.o \
		$(OBJECTS_PO)

$(OBJECTS_PATH)/cc.o: $(OBJECTS_CC)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/cc.o \
		$(OBJECTS_CC)

$(OBJECTS_PATH)/kd.o: $(OBJECTS_KD)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/kd.o \
		$(OBJECTS_KD)

$(OBJECTS_PATH)/inbv.o: $(OBJECTS_INBV)
	$(LD) \
		-r \
		-o $(OBJECTS_PATH)/inbv.o \
		$(OBJECTS_INBV)

# Note: arch.o MUST be the first file!!!
OBJECTS := \
	$(OBJECTS_PATH)/arch.o \
	$(OBJECTS_PATH)/ke.o \
	$(OBJECTS_PATH)/cc.o \
	$(OBJECTS_PATH)/cm.o \
	$(OBJECTS_PATH)/dbg.o \
	$(OBJECTS_PATH)/ex.o \
	$(OBJECTS_PATH)/lpc.o \
	$(OBJECTS_PATH)/fs.o \
	$(OBJECTS_PATH)/io.o \
	$(OBJECTS_PATH)/kd.o \
	$(OBJECTS_PATH)/ldr.o \
	$(OBJECTS_PATH)/mm.o \
	$(OBJECTS_PATH)/nt.o \
	$(OBJECTS_PATH)/ob.o \
	$(OBJECTS_PATH)/po.o \
	$(OBJECTS_PATH)/ps.o \
	$(OBJECTS_PATH)/rtl.o \
	$(OBJECTS_PATH)/se.o \
	$(OBJECTS_PATH)/inbv.o \
	$(OBJECTS_RESOURCE)


$(TARGETNAME).nostrip.exe: $(TARGETNAME).o $(IE_DATA) $(SDK_PATH_LIB)/string.a $(SDK_PATH_LIB)/rosrtl.a 
	$(CC) \
		-Wl,-T,ntoskrnl.lnk \
		-nostartfiles \
		-nostdlib \
		-mdll \
		-o junk.tmp \
		-Wl,--subsystem,native \
		-Wl,--image-base,0xc0000000 \
		-Wl,--file-alignment,0x1000 \
		-Wl,--section-alignment,0x1000 \
		-Wl,--entry,_NtProcessStartup \
		-Wl,--base-file,base.tmp \
		$(TARGETNAME).o -lgcc \
		$(SDK_PATH_LIB)/string.a \
		$(SDK_PATH_LIB)/rosrtl.a \
		$(DDK_PATH_LIB)/hal.a
	- $(RM) junk.tmp
	$(DLLTOOL) \
		--dllname $(TARGETNAME).exe \
		--base-file base.tmp \
		--output-exp temp.exp \
		--def $(TARGETNAME).edf \
		--kill-at
	- $(RM) base.tmp
	$(CC) \
		-nostartfiles \
		-nostdlib \
		-Wl,-T,ntoskrnl.lnk \
		-mdll \
		-o $(TARGETNAME).nostrip.exe \
		-Wl,--subsystem,native \
		-Wl,--image-base,0xc0000000 \
		-Wl,--file-alignment,0x1000 \
		-Wl,--section-alignment,0x1000 \
		-Wl,--entry,_NtProcessStartup \
		-Wl,temp.exp \
		$(TARGETNAME).o -lgcc \
		$(SDK_PATH_LIB)/string.a \
		$(SDK_PATH_LIB)/rosrtl.a \
		$(DDK_PATH_LIB)/hal.a
	- $(RM) temp.exp

$(TARGETNAME).exe: $(TARGETNAME).o $(LINKER_SCRIPT) $(DDK_PATH_LIB)/hal.a $(SDK_PATH_LIB)/string.a $(SDK_PATH_LIB)/rosrtl.a
	- $(CC) \
		-Wl,-T,$(LINKER_SCRIPT) \
		-nostartfiles \
		-nostdlib \
		-mdll \
		-o junk.tmp \
		-Wl,--subsystem,native \
		-Wl,--image-base,0xc0000000 \
		-Wl,--file-alignment,0x1000 \
		-Wl,--section-alignment,0x1000 \
		-Wl,--entry,_NtProcessStartup \
		-Wl,--base-file,base.tmp \
		$(TARGETNAME).o -lgcc \
		$(SDK_PATH_LIB)/string.a \
		$(SDK_PATH_LIB)/rosrtl.a \
		$(DDK_PATH_LIB)/hal.a
	- $(RM) junk.tmp
	$(DLLTOOL) \
		--dllname $(TARGETNAME).exe \
		--base-file base.tmp \
		--output-exp temp.exp \
		--def $(TARGETNAME).edf \
		--kill-at
	- $(RM) base.tmp
	$(CC) \
		-Wl,-T,$(LINKER_SCRIPT) $(STRIP_FLAGS)\
		-nostartfiles \
		-nostdlib \
		-mdll \
		-o $(TARGETNAME).exe \
		-Wl,--subsystem,native \
		-Wl,--image-base,0xc0000000 \
		-Wl,--file-alignment,0x1000 \
		-Wl,--section-alignment,0x1000 \
		-Wl,--entry,_NtProcessStartup \
		-Wl,temp.exp \
		$(TARGETNAME).o -lgcc \
		$(SDK_PATH_LIB)/string.a \
		$(SDK_PATH_LIB)/rosrtl.a \
		$(DDK_PATH_LIB)/hal.a
	- $(RM) temp.exp

$(TARGETNAME).dbg.o: $(TARGETNAME).o
	$(STRIP) --strip-debug -o $(TARGETNAME).dbg.o $(TARGETNAME).o

$(TARGETNAME).dbg: $(TARGETNAME).dbg.o $(TARGETNAME).a $(TARGETNAME).dbg.lnk $(DDK_PATH_LIB)/hal.a $(SDK_PATH_LIB)/string.a $(SDK_PATH_LIB)/rosrtl.a
	$(CC) \
		-Wl,-T,$(TARGETNAME).dbg.lnk \
		-nostartfiles \
		-nostdlib \
		-mdll \
		-o junk.tmp \
		-Wl,--subsystem,native \
		-Wl,--image-base,0xc0000000 \
		-Wl,--file-alignment,0x1000 \
		-Wl,--section-alignment,0x1000 \
		-Wl,--entry,_NtProcessStartup \
		-Wl,--base-file,base.tmp \
		$(TARGETNAME).dbg.o -lgcc \
		$(SDK_PATH_LIB)/string.a \
		$(SDK_PATH_LIB)/rosrtl.a \
		$(DDK_PATH_LIB)/hal.a
	- $(RM) junk.tmp
	$(DLLTOOL) \
		--dllname $(TARGETNAME).dbg \
		--base-file base.tmp \
		--output-exp temp.exp \
		--def $(TARGETNAME).edf \
		--kill-at
	- $(RM) base.tmp
	$(CC) \
		-Wl,-T,$(TARGETNAME).dbg.lnk \
		-nostartfiles \
		-nostdlib \
		-mdll \
		-o $(TARGETNAME).dbg \
		-Wl,--subsystem,native \
		-Wl,--image-base,0xc0000000 \
		-Wl,--file-alignment,0x1000 \
		-Wl,--section-alignment,0x1000 \
		-Wl,--entry,_NtProcessStartup \
		-Wl,temp.exp \
		$(TARGETNAME).dbg.o -lgcc \
		$(SDK_PATH_LIB)/string.a \
		$(SDK_PATH_LIB)/rosrtl.a \
		$(DDK_PATH_LIB)/hal.a
	- $(RM) temp.exp

$(TARGETNAME).sym: $(TARGETNAME).nostrip.exe

=== reactos/hal/hal/Makefile ===
# $Id$

PATH_TO_TOP = ../..

TARGET_TYPE = driver_library

TARGET_ASFLAGS = -D__NTHAL__ -I$(PATH_TO_TOP)/ntoskrnl/include

TARGET_CFLAGS = -D__NTHAL__ -I$(PATH_TO_TOP)/ntoskrnl/include

TARGET_NAME = hal

HEADER_FILES = $(PATH_TO_TOP)/include/roscfg.h

TARGET_OBJECTS := $(TARGET_NAME).o $(HEADER_FILES)

include $(PATH_TO_TOP)/rules.mak

include $(TOOLS_PATH)/helper.mk

include $(TOOLS_PATH)/config.mk

# EOF

=== reactos/hal/halx86/Makefile ===
# $Id$

PATH_TO_TOP = ../..

default: all

#
# Build configuration
#
include $(PATH_TO_TOP)/rules.mak

#
# Global configuration
#
include $(TOOLS_PATH)/config.mk

TARGET_BOOTSTRAP = yes

TARGET_TYPE = hal

TARGET_BASENAME = hal

TARGET_DEFNAME = ../hal/hal

TARGET_LIBPATH = .

TARGET_ASFLAGS = -I$(PATH_TO_TOP)/include -I$(PATH_TO_TOP)/ntoskrnl/include -D__ASM__

TARGET_CFLAGS = -I./include -I$(PATH_TO_TOP)/ntoskrnl/include -g

# require os code to explicitly request A/W version of structs/functions
TARGET_CFLAGS += -D_DISABLE_TIDENTS


TARGET_NAME_UP = halx86up

TARGET_NAME_MP = halx86mp

ifeq ($(MP), 1)
TARGET_NAME = $(TARGET_NAME_MP)
else
TARGET_NAME = $(TARGET_NAME_UP)
endif

HAL_OBJECTS = \
	adapter.o \
	beep.o \
	bus.o \
	display.o \
	dma.o \
	drive.o \
	enum.o \
	fmutex.o \
	halinit.o \
	isa.o \
	kdbg.o \
	mca.o \
	misc.o \
	mp.o \
	pci.o \
	portio.o \
	reboot.o \
	spinlock.o \
	sysbus.o \
	sysinfo.o \
	time.o \
	timer.o

	#pwroff.o

HAL_UP = \
  $(HAL_OBJECTS) \
	irql.o  

HAL_MP = \
  $(HAL_OBJECTS) \
	mpsirql.o \
	mpsboot.o \
	mps.o

ifeq ($(MP), 1)
DEP_OBJECTS := $(HAL_MP)
else
DEP_OBJECTS := $(HAL_UP)
endif

TARGET_OBJECTS := $(DEP_OBJECTS) $(PATH_TO_TOP)/include/roscfg.h

# Note: Must be = and not := since $(DEP_FILES) is assigned a value below
TARGET_CLEAN = $(DEP_FILES) *.o *.dll

#
# Helper makefile
#
include $(TOOLS_PATH)/helper.mk

#
# Include automatic dependancy tracking
#
include $(TOOLS_PATH)/depend.mk

# EOF

=== debian/changelog ===
captive (1.1.7) unstable; urgency=low
  * See package ChangeLog entries.
 -- Jan Kratochvil <pgp-44FC7632@jankratochvil.net>  Sun, 17 Aug 2003 14:16:59 +0200

=== debian/control ===
Source: captive
Section: contrib/base
Priority: optional
Maintainer: Jan Kratochvil <project-captive@jankratochvil.net>
Build-Depends: debhelper (>> 3.0.0),
 liborbit2-dev,
 libssl-dev,
 libgnomevfs2-dev,
 libxml2-dev (>= 2.4.29),
 libpopt-dev,
 libglib2.0-dev,
 libreadline4-dev,
 libbonobo2-dev,
 lufs,
 ntfsprogs-dev,
 libgnomeui-dev,
 gcc (>= 3.0) | gcc-3.0,
Standards-Version: 3.5.2

Package: captive
Architecture: i386
Depends: liborbit2,
 libssl0.9.7,
 libgnomevfs2-0,
 libxml2,
 libpopt0,
 libglib2.0-0,
 libreadline4
# Due to --with-orbit-line=link
Conflicts: liborbit2 (<< 2.8.2)
Recommends: captive-lufs (= ${Source-Version})
Description: NTFS filesystem using Microsoft Windows drivers
 Existing binary Microsoft Windows file system drivers were exploited
 for accessing drives with possibly proprietary file system data structures.
 Open file system API is provided to access these file system drivers.
 Microsoft Windows system components required by these drivers
 were analyzed and successfuly emulated in the GNU/Linux operating system.
 .
 The implementation allows applications running under the GNU/Linux operating
 system to access NTFS drives. File system driver compatibility with VFAT,
 ISO9660 and EXT2 is also provided.

Package: captive-lufs
Architecture: i386
Depends: captive (= ${Source-Version}),
 lufs,
 libpopt0
Description: LUFS module for Microsoft Windows platform filesystem access.
 LUFS is a hybrid userspace filesystem framework.
 .
 Package provides LUFS filesystem module to access Microsoft Windows platform
 filesystems such as NTFS. Use filesystem type 'captive-ntfs' for NTFS disks.

Package: captive-install
Architecture: i386
Depends: captive-lufs (= ${Source-Version}),
 ntfsprogs,
 libreadline4,
 libgnomeui-0,
 libpopt0,
 ntfsprogs-gnomevfs,
 gnome-vfs-httpcaptive,
 libxml2 (>= 2.4.29)
Description: Instant installer for Microsoft Windows platform filesystem access.
 Package provides easy enough unattended installation of Microsoft Windows
 platform filesystem access. Installer finds available NTFS partitions and
 tries to acquire needed Microsoft Windows filesystem driver files.

=== debian/rules ===
#!/usr/bin/make -f
# Makefile for Debian dpkg-buildpackage(1)
# Copyright (C) 2003 Jan Kratochvil <project-captive@jankratochvil.net>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; exactly version 2 of June 1991 is required
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPTFLAGS := -O2
else
OPTFLAGS := -O0
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
		--enable-shared --disable-static \
		--with-readline \
		--disable-bug-replay \
		--enable-lufs \
		--enable-install-pkg \
		--enable-sandbox-setuid=captive \
		--enable-sandbox-setgid=captive \
		--enable-sandbox-chroot=/var/lib/captive \
		--enable-man-pages \
		--enable-sbin-mountdir=/sbin \
		--enable-sbin-mount-fs=ntfs:fastfat:cdfs:ext2fsd \
		--disable-gtk-doc \
		--with-orbit-line=link

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE)
	touch build-arch-stamp

build: build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	# Do not: -$(MAKE) distclean
	# as we are run in clean distribution archive by AutoGen.pm
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install-strip
	dh_movefiles
	#FIXME: dh_movefiles(1) ignores any directories
	#       and dh_installdirs(1) creates them in debian/tmp/
	mkdir -p   $(CURDIR)/debian/captive/var/lib/captive
	chmod  755 $(CURDIR)/debian/captive/var/lib/captive
	mkdir -p   $(CURDIR)/debian/captive/var/lib/captive/tmp
	chmod 1777 $(CURDIR)/debian/captive/var/lib/captive/tmp

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
#	dh_installinit -a
#	dh_installman -a
#	dh_installchangelogs ChangeLog -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a -X/usr/sbin/captive-sandbox-server -X/var/lib/captive/tmp
	dh_makeshlibs -a
	dh_installdeb -a
	# FIXME: warning: could not find path for libcaptive-0.9cvs.so
	#dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-arch binary install
